Bug 838004 - [abrt]: [131393.024884] WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:809 iwl_send_lq_cmd+0x29d/0x2b0 [iwlwifi]()
[abrt]: [131393.024884] WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta....
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:54d91171f5b6f2bf47a5fee6be2...
:
: 833368 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 01:53 EDT by han pingtian
Modified: 2012-11-14 15:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 15:29:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iwlwifi-do-not-send-lq-cmd-when-station-add-fails.patch (2.19 KB, patch)
2012-07-06 13:43 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description han pingtian 2012-07-06 01:53:23 EDT
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.2-1.fc16.x86_64 root=/dev/mapper/VolGroup-LogVol00 ro rd.luks.uuid=luks-83bc4d24-a5cf-42d0-96fb-713f2545f8e4 rd.lvm.lv=VolGroup/LogVol01 rd.lvm.lv=VolGroup/LogVol00 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.md=0 LANG=en_US.UTF-8 crashkernel=128M

backtrace:
:[131393.024884] WARNING: at drivers/net/wireless/iwlwifi/iwl-agn-sta.c:809 iwl_send_lq_cmd+0x29d/0x2b0 [iwlwifi]()
:[131393.024892] Hardware name: 4180F79
:[131393.024897] Modules linked in: nf_nat vfat fat usb_storage tcp_lp fuse tun be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp llc ib_iser fcoe lockd rdma_cm ib_cm libfcoe iw_cm libfc scsi_transport_fc scsi_tgt ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_conexant arc4 iwlwifi uvcvideo mac80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm videobuf2_core e1000e cfg80211 btusb bluetooth videodev snd_timer thinkpad_acpi iTCO_wdt media videobuf2_vmalloc coretemp i2c_i801 snd_page_alloc videobuf2_memops iTCO_vendor_support rfkill snd tpm_tis tpm tpm_bios microcode joydev soundcore sunrpc uinput xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel sdhci_pci sdhci mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [
:last unloaded: iptable_nat]
:[131393.025151] Pid: 17380, comm: kworker/u:1 Tainted: G        W    3.4.2-1.fc16.x86_64 #1
:[131393.025158] Call Trace:
:[131393.025179]  [<ffffffff810579df>] warn_slowpath_common+0x7f/0xc0
:[131393.025192]  [<ffffffff81057a3a>] warn_slowpath_null+0x1a/0x20
:[131393.025219]  [<ffffffffa041bf7d>] iwl_send_lq_cmd+0x29d/0x2b0 [iwlwifi]
:[131393.025245]  [<ffffffffa041a9f7>] ? iwl_send_add_sta+0xf7/0x130 [iwlwifi]
:[131393.025272]  [<ffffffffa041c580>] iwl_restore_stations+0x380/0x3f0 [iwlwifi]
:[131393.025302]  [<ffffffffa0426541>] iwlagn_commit_rxon+0x301/0x860 [iwlwifi]
:[131393.025338]  [<ffffffffa0327f08>] ? sta_info_free+0x38/0x40 [mac80211]
:[131393.025366]  [<ffffffffa0427114>] iwlagn_bss_info_changed+0x1f4/0x640 [iwlwifi]
:[131393.025395]  [<ffffffffa03267b2>] ieee80211_bss_info_change_notify+0x142/0x2c0 [mac80211]
:[131393.025438]  [<ffffffffa035b470>] ieee80211_destroy_auth_data+0x50/0x80 [mac80211]
:[131393.025478]  [<ffffffffa035fcba>] ieee80211_sta_work+0x80a/0xbe0 [mac80211]
:[131393.025513]  [<ffffffffa0334868>] ieee80211_iface_work+0x2b8/0x350 [mac80211]
:[131393.025545]  [<ffffffffa03345b0>] ? ieee80211_teardown_sdata+0xe0/0xe0 [mac80211]
:[131393.025559]  [<ffffffff8107362e>] process_one_work+0x11e/0x470
:[131393.025572]  [<ffffffff8107470f>] worker_thread+0x15f/0x360
:[131393.025584]  [<ffffffff810745b0>] ? manage_workers+0x230/0x230
:[131393.025595]  [<ffffffff810791a3>] kthread+0x93/0xa0
:[131393.025608]  [<ffffffff81601624>] kernel_thread_helper+0x4/0x10
:[131393.025619]  [<ffffffff81079110>] ? kthread_freezable_should_stop+0x70/0x70
:[131393.025630]  [<ffffffff81601620>] ? gs_change+0x13/0x13
Comment 1 John W. Linville 2012-07-06 13:43:46 EDT
Created attachment 596674 [details]
iwlwifi-do-not-send-lq-cmd-when-station-add-fails.patch
Comment 2 John W. Linville 2012-07-06 13:45:19 EDT
Test kernels w/ the above patch are building here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4223517

When they finish building, please give them a try and post the results here...thanks!
Comment 3 John W. Linville 2012-07-09 17:06:39 EDT
*** Bug 833368 has been marked as a duplicate of this bug. ***
Comment 4 Wolfgang Gradl 2012-07-10 05:04:00 EDT
(In reply to comment #3)
> *** Bug 833368 has been marked as a duplicate of this bug. ***

(In reply to comment #2)
> Test kernels w/ the above patch are building here:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4223517
> 
> When they finish building, please give them a try and post the results
> here...thanks!

I can't trigger the bug with 3.4.4-4.bz838004.1.fc16.x86_64 -- but for that matter, I haven't seen the backtrace mentioned in Bug 833368 ever since upgrading to 3.4.4-3.fc16.x86_64.

Thanks!
Comment 5 milady 2012-07-11 07:07:18 EDT
iwlwifi keeps disconnecting.
reconnection attempts fail repeatedly and eventually lead to this crash.


Package: kernel
OS Release: Fedora release 16 (Verne)
Comment 6 Dave Jones 2012-10-23 11:41:26 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 7 Justin M. Forbes 2012-11-14 15:29:04 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.